@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

.wrapper {
  min-height: 0;
  margin: 0 auto;
}

.landing-container {
  padding-bottom: 80px;

  hr {
    margin-top: 40px;
    margin-bottom: 40px;
    border-top: 1px solid $color-dark;
  }

  .team-controls {
    margin-bottom: 40px;
  }

  .form-inline {
    label {
      font-size: 16px;
      margin-right: 20px;
    }

    .form-control {
      margin-right: 10px;
    }

    input {
      width: 80px;
    }
  }
}

.features-list-container {
  padding-top: 80px;
  padding-bottom: 80px;
  background-color: $color-primary;
  border-top: 1px solid $color-dark;
  border-bottom: 1px solid $color-dark;

  .title {
    font-weight: bold;
  }

  input {
    vertical-align: middle;
  }

  h3,
  h4 {
    color: $color-white;
  }

  .table {
    background-color: $color-gray-light;

    .category-row {
      background-color: $color-dark;
      color: $color-white;
    }

    tr > td:first-child {
      vertical-align: middle;
      text-align: center;
    }

    tr > th {
      vertical-align: middle;
      border-bottom: 0;
      background-color: $color-gray-medium;
    }

    .include {
      width: 10px;
    }

    .feature-category {
      font-size: 20px;
      font-weight: bold;
    }

    .feature-description {
      max-width: 200px;
      white-space: nowrap;
      overflow-x: scroll;

      a {
        font-size: 16px;
        color: $link-color;
        font-weight: bold;
      }
    }

    .savings-per-user,
    .savings-total {
      width: 80px;
    }

    tbody > tr {
      background-color: $color-white;
    }

    tbody > tr:nth-of-type(even):not(.category-row) {
      background-color: $color-gray-medium;
    }

    th {
      text-align: left;
    }

    label {
      margin-bottom: 0;
    }

    input {
      margin-top: 0;
    }
  }
}

.buttons-container {
  padding: 80px 15px;

  .center-buttons {
    text-align: center;
    margin-top: 40px;

    a:not(:last-child) {
      margin-right: 25px;
    }
  }
}

.savings-banner {
  display: flex;
  position: absolute;
  min-height: 150px;
  max-height: 250px;
  padding-top: 20px;
  padding-bottom: 20px;
  border: 1px solid $color-dark;
  align-items: center;
  justify-content: space-between;
  z-index: 10;
  background-color: $body-bg;

  .savings-text {
    display: block;
    margin-left: 20px;
  }

  .link-block {
    display: block;
    margin-right: 20px;

    a {
      font-size: 18px;
    }
  }

  @media(max-width: $screen-sm-max) {
    left: 0;
    right: 0;
    margin: 0 10px;
  }

  @media(max-width: $screen-xs-max) {
    height: 150px;

    .savings-text {
      margin-left: 0;

      h3 {
        font-size: 18px;
      }

      p {
        font-size: 12px;
      }
    }

    .link-block {
      margin-right: 0;

      h4,
      a {
        font-size: 14px;
        text-align: center;
      }
    }
  }
}
